// Enhancer.cpp
#include "dspplugin.h"

#include "Stereo.h"
#include "Echo.h"

extern "C" {
BOOL WINAPI DllMain(HANDLE, ULONG reason, LPVOID)
{
	static DSPPlugin* plugin = 0;
	static DSPModule none;
	static Stereo stereo;
	static Echo echo;

	if (reason == DLL_PROCESS_ATTACH)
		plugin = new DSPPlugin("Audio Enhancer 2", 
			&none, &stereo, &echo, 0);
	else if (reason == DLL_PROCESS_DETACH)	{
		delete plugin;
		plugin = 0;
	}
	return TRUE;
}
}
